---
content_title: eosjs
---

`eosjs` is a Javascript library which provides an API for integrating with EOSIO-based blockchains using the [EOSIO Nodeos RPC API](https://developers.eos.io/eosio-nodeos/reference).  The documentation for `eosjs` is structured in the following way:

* [Installation](02_installation.md) explains how to install `eosjs` using `npm` or `yarn`.
* [Basic Usage](basic-usage/) provides information related to importing `eosjs` in various Javascript environments.  The [basic-usage](basic-usage/index.md) document specifically provides brief explanations of the components provided by `eosjs` as well as their typical use cases.
* [FAQ](faq/) provides answers to frequently asked questions surrounding the `eosjs` software.
* [How-To Guides](how-to-guides/) provides how-tos on everything from getting block information to proposing and signing multi-sig transactions.
* [Troubleshooting](troubleshooting/) provides possible exceptions encountered when developing with `eosjs` and their most common causes.
* [Technical Overview](01_technical-overview.md) provides a high-level overview of how `eosjs` works.
